curl -L 'https://stream.tonbo.dev/ds/demo/hello/snapshot'
curl 'https://stream.tonbo.dev/ds/demo/hello/snapshot/000000000000002a'
Bootstrap & Snapshots
Read snapshot
Read the latest snapshot or a snapshot at a specific offset.
GET
/
ds
/
{bucket}
/
{stream}
/
snapshot
curl -L 'https://stream.tonbo.dev/ds/demo/hello/snapshot'
curl 'https://stream.tonbo.dev/ds/demo/hello/snapshot/000000000000002a'
Latest snapshot
GET /ds/{bucket}/{stream}/snapshot redirects to the latest published snapshot’s offset-specific URL.
string
required
Bucket ID.
string
required
Stream ID.
| Status | Meaning |
|---|---|
307 | Redirect to /ds/{bucket}/{stream}/snapshot/{offset}. |
404 | Stream not found, expired, or no snapshot has been published. |
Location, Stream-Next-Offset, Stream-Snapshot-Offset, and Stream-Up-To-Date.
Snapshot at offset
GET /ds/{bucket}/{stream}/snapshot/{offset} returns the snapshot blob at a specific offset.
string
required
Snapshot offset (hex or decimal token).
| Status | Meaning |
|---|---|
200 | Snapshot blob returned. |
404 | Stream, snapshot, or offset not found. |
Content-Type, Stream-Next-Offset, Stream-Snapshot-Offset, Stream-Up-To-Date, and Stream-Closed.
curl -L 'https://stream.tonbo.dev/ds/demo/hello/snapshot'
curl 'https://stream.tonbo.dev/ds/demo/hello/snapshot/000000000000002a'
Snapshot reads go through a linearizable freshness check to ensure you see the latest published snapshot. If the snapshot blob hasn’t replicated to the current node yet, the request may be redirected to the leader.
See snapshots for the snapshot lifecycle.

